use std::fmt;

#[derive(Debug)]
pub struct ScootalooError {
    details: String,
}

impl ScootalooError {
    pub fn new(msg: &str) -> ScootalooError {
        ScootalooError {
            details: String::from(msg),
        }
    }
}

impl fmt::Display for ScootalooError {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        write!(f, "{}", self.details)
    }
}

impl std::error::Error for ScootalooError {
    fn description(&self) -> &str {
        &self.details
    }
}

